1. sandra opperman's Avatar
    hi
    i downloaded the version 3.1.0.58 - when i click on the icon for app world : a blackberry id update is needed, when i click on yes : blackberry idendity installation failed - please try again (80003)

    in the application centre if have the option to downgrade - but when the installation begins it goes to vertion 3.1.0.58 - please this is now for 1 month allready - i can use my blackberry id through the pc with the usb cable and then download what i want - but when trying to load app world from my phone i get the error each time ? Pleas help me - this is frustrating !
    01-09-12 05:13 AM
  2. TrespassersW's Avatar
    01-09-12 05:30 AM
  3. paulinda's Avatar
    My case ... Did the appload from appworld and since then Have 6 months than have it's frustrating because I can't download anything ...
    01-27-13 04:31 PM
LINK TO POST COPIED TO CLIPBOARD